const system = require("../system");
const uuidv4 = require('uuid/v4');
const settings = require("../../config/settings");
class APIBase{
    constructor() {
        super();
        this.cacheManager = system.getObject("db.common.cacheManager");
    }
    async doexec(gname, methodname, pobj, query, req) {
        try {
            var rtn = await this[methodname](pobj, query, req);
            return rtn;
        } catch (e) {
            console.log(e.stack, "api调用异常--error...................");
            var rtnerror = system.getResultFail(-200, "出现异常，请联系管理员");
            return rtnerror;
        }
    }
}
module.exports = APIBase;

